---
title: ChannelSplitterNode.ChannelSplitterNode()
slug: Web/API/ChannelSplitterNode/ChannelSplitterNode
tags:
  - API
  - Audio
  - ChannelSplitterNode
  - Constructor
  - Reference
  - Splitter
  - Web Audio
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}</div>

<p><span class="seoSummary">The <code><strong>ChannelSplitterNode()</strong></code> constructor of the <a href="/en-US/docs/Web/API/Web_Audio_API">Web Audio API</a> creates a new {{domxref("ChannelSplitterNode")}} object instance, representing a node that splits the input into a separate output for each of the source node's audio channels.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var <em>splitter</em> = new ChannelSpitterNode(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<p><em>Inherits parameters from the </em><em>{{domxref("AudioNodeOptions")}} dictionary</em>.</p>

<dl>
 <dt><code>context</code></dt>
 <dd>A {{domxref("BaseAudioContext")}} representing the audio context you want the node to be associated with.</dd>
 <dt><code>options</code> {{optional_inline}}</dt>
 <dd>A <code><a href="https://webaudio.github.io/web-audio-api/#idl-def-ChannelSplitterOptions">ChannelSplitterOptions</a></code> dictionary object defining the properties you want the <code>ChannelSplitterNode</code> to have (It also inherits the options defined in the <code><a href="https://webaudio.github.io/web-audio-api/#idl-def-AudioNodeOptions">AudioNodeOptions</a></code> dictionary):
 <ul>
  <li><code>numberOfOutputs</code>: A number defining the number of inputs the {{domxref("ChannelSplitterNode")}} should have. If not specified, the default value used is 6.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("ChannelSplitterNode")}} object instance.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var ac = new AudioContext();

var options = {
  numberOfOutputs : 2
}

var mySplitter = new ChannelSplitterNode(ac, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#channelsplitternode','ChannelSplitterNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ChannelSplitterNode.ChannelSplitterNode")}}</p>
